Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg
Interface ConfigurationLDAPServer

    public interface ConfigurationLDAPServer

This interface define methods to manage LDAP server configuration .

Method Summary
`boolean` | `createNewRoleMap(java.lang.String filter, java.lang.String roleName)` Deprecated. This method is not effective since V8, replaced by createRoleMap().
`java.lang.String` | `createRoleMap(java.lang.String filter, java.lang.String roleName)` add a new role map to server.
`boolean` | `editRoleMap(java.lang.String roleMapName, java.lang.String filter, java.lang.String roleName)` Edit a exist role map by it's name
`java.lang.String` | `getAdminGroup()` Return admin group.
`java.util.Vector` | `getAllRoleMaps()` Get all role maps
`void` | `getDefauleSettingValue(java.lang.String oldType)`
`java.lang.String` | `getDirectoryManagerDN()` Return directory of manage Distinguish Name.
`int` | `getEncryptedPort()` Deprecated. This method is not effective since V6.
`java.lang.String` | `getEncryptionType()` Deprecated. This method is not effective since V6. replaced by isEncryptionInLayer
`java.lang.String` | `getGroupCommonName()` Return Group Common Name of attribute for LDAP.
`java.lang.String` | `getGroupDescriptions(java.lang.String groupName)` check Group and return the Group Description
`java.lang.String` | `getGroupDistinguishName()` Return group distinguish name of attribute for LDAP.
`java.lang.String` | `getGroupFilter()` Return filter string for LDAP.
`java.lang.String` | `getGroupMemberType()` Return Group Member Type for LDAP.
`java.util.Vector` | `getGroupNames()` check Group and return the Group Name
`java.lang.String` | `getImportGroupType()` Get the LDAP Group importing principal type
`int` | `getLADPServerPort()` Return LDAP server port.
`java.lang.String` | `getLDAPURL()` Return LDAP URL.
`java.lang.String` | `getLDAPVersion()` Return LDAP Version Number.
`java.lang.String` | `getPassword()` Return Password for LDAP.
`java.util.Hashtable` | `getProperties()`
`java.lang.String` | `getRoot()` Return LDAP root.
`java.util.Vector` | `getRootUsers()` Return root users .
`java.lang.String` | `getUserAttributeName()` Return userID name of attribute for LDAP.
`java.lang.String` | `getUserCommonName()` Return user common name of attribute for LDAP.
`java.lang.String` | `getUserDistinguishName()` Return user distinguish name of attribute for LDAP.
`java.lang.String` | `getUserFilter()` Return filter string for LDAP.
`java.lang.String` | `getUserFullNames(java.lang.String name)` Return the user Fullname
`java.util.Vector` | `getUserNames()` Return the user information
`java.lang.String` | `getUserPassword()` Return user password name of attribute for LDAP.
`java.lang.String[]` | `getUseServerList()` Return list for server method name.
`boolean` | `isConnection()` Return check if coonect with LDAP server.
`boolean` | `isConnection(java.util.Hashtable props)`
`boolean` | `isEnableNoneImportedLDAPSupport()` Check the server security system uses the LDAP providers or not
`boolean` | `isEncryptionInLayer()` Return whether use secure sockets layer in TCP/IP when server communicate with LDAP server
`boolean` | `isFirstUseLocal()` Deprecated. This method is not effective since V6.
`boolean` | `isImportUserUponAuthentication()` return if user authentication.
`boolean` | `isLdapEnable()` Return if LDAP enable.
`java.util.Vector` | `queryGroups(java.util.Hashtable h)` Get the LDAP groups
`java.util.Vector` | `queryUsers(java.util.Hashtable h)` Get the LDAP users
`boolean` | `removeRoleMap(java.lang.String roleMapName)` Remove a role map from the server
`void` | `runAtServerRestart()` Deprecated. This method is not effective since V7.
`void` | `saveProperties()` Save all properties of LDAP setting into file.
`void` | `setAdminGroup(java.lang.String adminGroup)` Set admin group.
`void` | `setDirectoryManagerDN(java.lang.String directoryManagerDN)` Set directory of manage Distinguish Name.
`void` | `setEnableLDAPProviders(boolean isEnableLDAPProvers)` Set if the server security system uses the LDAP providers
`void` | `setEncryptedPort(int encryptedPort)` Deprecated. This method is not effective since V6.
`void` | `setEncryptedPort(java.lang.String encryptedPort)`
`void` | `setEncryptionInLayer(boolean isEncrytion)` Set whether use secure sockets layer in TCP/IP when server communicate with LDAP server
`void` | `setEncryptionType(java.lang.String encryptionType)` Deprecated. This method is not effective since V6. replaced by setEncryptionInLayer(boolean isEncrytion)
`void` | `setFirstUseLocal(boolean firstUseLocal)` Deprecated. This method is not effective since V6.
`void` | `setGroupCommonName(java.lang.String groupCommonName)` Set Group Common Name of attribute for LDAP.
`void` | `setGroupDistinguishName(java.lang.String distinguishName)` Set group distinguish name of attribute for LDAP.
`void` | `setGroupFilter(java.lang.String filter)` Set filter string for LDAP.
`void` | `setGroupMemberType(java.lang.String groupMemberType)` Set Group Member Type for LDAP.
`void` | `setImportGroupType(java.lang.String type)` Set import LDAP group into server's role or group
`void` | `setImportUserUponAuthentication(boolean isImport)` Set Import upon Authentication
`void` | `setLADPServerPort(int LDAPPort)` Set LDAP server port.
`void` | `setLdapEnable(boolean isEnable)` Set if LDAP enable.
`void` | `setLDAPURL(java.lang.String LDAPUrl)` Set LDAP URL.
`void` | `setLDAPVersion(java.lang.String LDAPVersion)` Set LDAP Version Number.
`void` | `setPassword(java.lang.String password)` Set Password for LDAP.
`void` | `setRoot(java.lang.String root)` Set LDAP root.
`void` | `setUserAttributeName(java.lang.String userAttributeName)` Set userID name of attribute for LDAP.
`void` | `setUserCommonName(java.lang.String userCommonName)` Set user common name of attribute for LDAP.
`void` | `setUserDistinguishName(java.lang.String distinguishName)` Set user distinguish name of attribute for LDAP.
`void` | `setUserFilter(java.lang.String filter)` Set filter string for LDAP.
`void` | `setUserPassword(java.lang.String password)` Set user password name of attribute for LDAP.

Method Detail

### setLdapEnable

    void setLdapEnable(boolean isEnable)

  Set if LDAP enable.

  Parameters:
    `isEnable` - if LDAP enable .

### isLdapEnable

    boolean isLdapEnable()

  Return if LDAP enable.

  Returns:
    ture if LDAP enable , otherwise return false.

### getLDAPVersion

    java.lang.String getLDAPVersion()

  Return LDAP Version Number.

  Returns:
    2 indicates using LDAPv2, otherwise support LDAPv3.

### setLDAPVersion

    void setLDAPVersion(java.lang.String LDAPVersion)

  Set LDAP Version Number.

  Parameters:
    `LDAPVersion` - it has two available vlues 2 and 3.

### setImportUserUponAuthentication

    void setImportUserUponAuthentication(boolean isImport)

  Set Import upon Authentication

  Parameters:
    `isImport` - if import user upon authentication enable.
  Since:
    server V7.0

### isImportUserUponAuthentication

    boolean isImportUserUponAuthentication()

  return if user authentication.

  Returns:
    true if User Authentication enable , otherwise return false.
  Since:
    server V7.0

### setLDAPURL

    void setLDAPURL(java.lang.String LDAPUrl)

  Set LDAP URL.

  Parameters:
    `LDAPUrl` - LDAP URL.

### getLDAPURL

    java.lang.String getLDAPURL()

  Return LDAP URL.

  Returns:
    LDAP URL.

### setLADPServerPort

    void setLADPServerPort(int LDAPPort)

  Set LDAP server port.

  Parameters:
    `LDAPPort` - LDAP server port.

### getLADPServerPort

    int getLADPServerPort()

  Return LDAP server port.

  Returns:
    LDAP server port.

### setEncryptedPort

    void setEncryptedPort(int encryptedPort)

  Deprecated. This method is not effective since V6.

  Set LDAP encrypted Port.

  Parameters:
    `encryptedPort` - encrypted Port.

### getEncryptedPort

    int getEncryptedPort()

  Deprecated. This method is not effective since V6.

  Return LDAP encrypted Port.

  Returns:
    LDAP encrypted Port.

### setRoot

    void setRoot(java.lang.String root)

  Set LDAP root.

  Parameters:
    `root` - LDAP root.

### getRoot

    java.lang.String getRoot()

  Return LDAP root.

  Returns:
    LDAP root.

### setDirectoryManagerDN

    void setDirectoryManagerDN(java.lang.String directoryManagerDN)

  Set directory of manage Distinguish Name.

  Parameters:
    `directoryManagerDN` - directory of manage Distinguish Name.

### getDirectoryManagerDN

    java.lang.String getDirectoryManagerDN()

  Return directory of manage Distinguish Name.

  Returns:
    directory of manage Distinguish Name.

### setPassword

    void setPassword(java.lang.String password)

  Set Password for LDAP.

  Parameters:
    `password` - Password for LDAP.

### getPassword

    java.lang.String getPassword()

  Return Password for LDAP.

  Returns:
    Password for LDAP.

### setEncryptionType

    void setEncryptionType(java.lang.String encryptionType)

  Deprecated. This method is not effective since V6. replaced by setEncryptionInLayer(boolean isEncrytion)

  Set encrypted Type.

  Parameters:
    `encryptionType` - encrypted Type.

### getEncryptionType

    java.lang.String getEncryptionType()

  Deprecated. This method is not effective since V6. replaced by isEncryptionInLayer

  Return encrypted Type.

  Returns:
    encrypted Type.

### setEncryptionInLayer

    void setEncryptionInLayer(boolean isEncrytion)

  Set whether use secure sockets layer in TCP/IP when server communicate with LDAP server

  Parameters:
    `isEncrytion` - if will use SSL set true, otherwise set false

### isEncryptionInLayer

    boolean isEncryptionInLayer()

  Return whether use secure sockets layer in TCP/IP when server communicate with LDAP server

  Returns:
    if use SSL return true, otherwise return false

### setImportGroupType

    void setImportGroupType(java.lang.String type)

  Set import LDAP group into server's role or group

  Parameters:
    `type` - role or group
  Since:
    Server V7.1

### getImportGroupType

    java.lang.String getImportGroupType()

  Get the LDAP Group importing principal type

  Returns:
    role or group
  Since:
    Server V7.1

### setFirstUseLocal

    void setFirstUseLocal(boolean firstUseLocal)

  Deprecated. This method is not effective since V6.

  Set user is from local or server.

  Parameters:
    `firstUseLocal` - if user is from local .

### isFirstUseLocal

    boolean isFirstUseLocal()

  Deprecated. This method is not effective since V6.

  Return user is from local or server.

  Returns:
    true if user is from local , if user is from server return false.

### getUseServerList

    java.lang.String[] getUseServerList()

  Return list for server method name.

  Returns:
    string array for server method name.

### isConnection

    boolean isConnection()

  Return check if coonect with LDAP server.

  Returns:
    true if coonect with LDAP server.

### isConnection

    boolean isConnection(java.util.Hashtable props)

### getRootUsers

    java.util.Vector getRootUsers()

  Return root users .

  Returns:
    vector which object is root user.

### setGroupCommonName

    void setGroupCommonName(java.lang.String groupCommonName)

  Set Group Common Name of attribute for LDAP.

  Parameters:
    `groupCommonName` - Common Name of attribute for LDAP.

### getGroupCommonName

    java.lang.String getGroupCommonName()

  Return Group Common Name of attribute for LDAP.

  Returns:
    Group Common Name of attribute for LDAP.

### setGroupMemberType

    void setGroupMemberType(java.lang.String groupMemberType)

  Set Group Member Type for LDAP.

  Parameters:
    `groupMemberType` - Member Type for LDAP.

### getGroupMemberType

    java.lang.String getGroupMemberType()

  Return Group Member Type for LDAP.

  Returns:
    Group Member Type for LDAP.

### setGroupDistinguishName

    void setGroupDistinguishName(java.lang.String distinguishName)

  Set group distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Parameters:
    `distinguishName` - group distinguish name of attribute for LDAP.

### getGroupDistinguishName

    java.lang.String getGroupDistinguishName()

  Return group distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Returns:
    group distinguish name of attribute for LDAP.

### setGroupFilter

    void setGroupFilter(java.lang.String filter)

  Set filter string for LDAP.

  Parameters:
    `filter` - filter string for LDAP.

### getGroupFilter

    java.lang.String getGroupFilter()

  Return filter string for LDAP.

  Returns:
    filter string for LDAP.

### setAdminGroup

    void setAdminGroup(java.lang.String adminGroup)

  Set admin group.

  Parameters:
    `adminGroup` - admin group.

### getAdminGroup

    java.lang.String getAdminGroup()

  Return admin group.

  Returns:
    admin group.

### getGroupNames

    java.util.Vector getGroupNames()

  check Group and return the Group Name

  Returns:
    vector which put Group names

### queryGroups

    java.util.Vector queryGroups(java.util.Hashtable h)

  Get the LDAP groups

  Parameters:
    `h` - the LDAP configration
  Returns:
    the LDAP groups set

### getGroupDescriptions

    java.lang.String getGroupDescriptions(java.lang.String groupName)

  check Group and return the Group Description

  Returns:
    String which is Group Descriptions.

### setUserAttributeName

    void setUserAttributeName(java.lang.String userAttributeName)

  Set userID name of attribute for LDAP.

  Parameters:
    `userAttributeName` - userID name of attribute for LDAP.

### getUserAttributeName

    java.lang.String getUserAttributeName()

  Return userID name of attribute for LDAP.

  Returns:
    userID name of attribute for LDAP.

### setUserCommonName

    void setUserCommonName(java.lang.String userCommonName)

  Set user common name of attribute for LDAP.

  Parameters:
    `userCommonName` - user common name of attribute for LDAP.

### getUserCommonName

    java.lang.String getUserCommonName()

  Return user common name of attribute for LDAP.

  Returns:
    user common name of attribute for LDAP.

### setUserPassword

    void setUserPassword(java.lang.String password)

  Set user password name of attribute for LDAP.

  Parameters:
    `password` - user password name of attribute for LDAP.

### getUserPassword

    java.lang.String getUserPassword()

  Return user password name of attribute for LDAP.

  Returns:
    user password name of attribute for LDAP.

### setUserDistinguishName

    void setUserDistinguishName(java.lang.String distinguishName)

  Set user distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Parameters:
    `distinguishName` - user distinguish name of attribute for LDAP.

### getUserDistinguishName

    java.lang.String getUserDistinguishName()

  Return user distinguish name of attribute for LDAP. this distinguish name is distinguish user and group.

  Returns:
    user distinguish name of attribute for LDAP.

### setUserFilter

    void setUserFilter(java.lang.String filter)

  Set filter string for LDAP.

  Parameters:
    `filter` - filter string for LDAP.

### getUserFilter

    java.lang.String getUserFilter()

  Return filter string for LDAP.

  Returns:
    filter string for LDAP.

### getUserNames

    java.util.Vector getUserNames()

  Return the user information

  Returns:
    Vector which put users name

### queryUsers

    java.util.Vector queryUsers(java.util.Hashtable h)

  Get the LDAP users

  Parameters:
    `h` - the LDAP configration
  Returns:
    the LDAP users set

### getUserFullNames

    java.lang.String getUserFullNames(java.lang.String name)

  Return the user Fullname

  Returns:
    String users full name

### getDefauleSettingValue

    void getDefauleSettingValue(java.lang.String oldType)

### getProperties

    java.util.Hashtable getProperties()

### saveProperties

    void saveProperties()

  Save all properties of LDAP setting into file.

### runAtServerRestart

    void runAtServerRestart()

  Deprecated. This method is not effective since V7.

### setEncryptedPort

    void setEncryptedPort(java.lang.String encryptedPort)

### createNewRoleMap

    boolean createNewRoleMap(java.lang.String filter,
                             java.lang.String roleName)
                             throws RoleMapExistException

  Deprecated. This method is not effective since V8, replaced by createRoleMap().

  add a new role map to server.

  Parameters:
    `filter` - the role map's LDAP search filter string
    `roleName` - the role map's binding role name
  Returns:
    if add successful return true, otherwise return false
  Throws:
    `RoleMapExistException` - if have this role map
  Since:
    server V7.0

### createRoleMap

    java.lang.String createRoleMap(java.lang.String filter,
                                   java.lang.String roleName)
                                   throws RoleMapExistException

  add a new role map to server.

  Parameters:
    `filter` - the role map's LDAP search filter string
    `roleName` - the role map's binding role name
  Returns:
    if add successful return the role map name, otherwise return null
  Throws:
    `RoleMapExistException` - if have this role map
  Since:
    server V8

### removeRoleMap

    boolean removeRoleMap(java.lang.String roleMapName)
                          throws NoSuchRoleMapException

  Remove a role map from the server

  Parameters:
    `roleMapName` - the role map's server
  Returns:
    if add successful return null, else return error message
  Throws:
    `NoSuchRoleMapException` - if have not this role map
  Since:
    server V7.0

### editRoleMap

    boolean editRoleMap(java.lang.String roleMapName,
                        java.lang.String filter,
                        java.lang.String roleName)
                        throws NoSuchRoleMapException

  Edit a exist role map by it's name

  Parameters:
    `roleMapName` - the role map's name
    `filter` - the role map's new filter
    `roleName` - the role map's new binding role name
  Returns:
    if eidt successful return null, else return error message
  Throws:
    `NoSuchRoleMapException` - if have not this role map
  Since:
    server V7.0

### getAllRoleMaps

    java.util.Vector getAllRoleMaps()

  Get all role maps

  Returns:
    a vector that contain all role maps
  Since:
    server V7.0

### isEnableNoneImportedLDAPSupport

    boolean isEnableNoneImportedLDAPSupport()

  Check the server security system uses the LDAP providers or not

  Returns:
    if using the LDAP providers return true, otherwise return false

### setEnableLDAPProviders

    void setEnableLDAPProviders(boolean isEnableLDAPProvers)

  Set if the server security system uses the LDAP providers

  Parameters:
    `isEnableLDAPProvers` - if the server security system uses the LDAP providers

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD